#!/bin/sh
#when this scripts was loaded.
start_time=`date "+%c"`

#get the total seconds since 1970-01-01 00:00:00 when this was started.
startsec=`date "+%s"`

#time stamp
time_stamp=`date "+%Y%m%d"`

#df
echo `/bin/df` > /tmp/hdd.out

#get the total seconds since 1970-01-01 00:00:00 when this was finished.
endsec=`date "+%s"`

#how costs the time as this was executed.
time_costs=`expr $endsec - $startsec`

#logged
echo "[start time] $start_time [time costs(sec)] $time_costs" >> /tmp/hdd_check.log

#call parse program
/root/audit/scripts/hdd.pl