#!/usr/bin/perl -w

use Net::SMTP;
use lib "/root/audit/lib";
use MIME::Lite;
require '/root/audit/lib/jcode.pl';
use MIME::Base64 ();
use Net::FTP ;

open(LOG,">>/root/audit/scripts/logs/mail.log");

open(IN_FORM,"/root/audit/scripts/" . $ARGV[0])||die print LOG localtime()."  Cannot Open FORM FILE\n" ;

################
# DEBUG
################

my $mime_sec_flag = 0;
my $mime_sub_sec_flag = 0;
my $MailVersion = "KP Mail V1.0";
print "Start KPMAIL\n";
LINE: while(<IN_FORM>){
    chomp;
    # ȤФ
    next LINE if /^#/;

    if ( $_ eq "[START]" ){
	$mime_sec_flag = 1;
	next LINE;
    }elsif( $_ eq "[SEND]" ){
	$mime_sec_flag = 2;
    }elsif( $_ eq "[MESSAGE]" ){
	$mime_sub_sec_flag = 1;
	$cnt = 0;
    }elsif( $_ eq "[EGASSEM]" ){
	$mime_sub_sec_flag = 50;
    }elsif( $_ eq "[ATTACH]" ){
	$mime_sub_sec_flag = 2;
    }elsif( $_ eq "[HCATTA]" ){
	$mime_sub_sec_flag = 20;
    }elsif( $_ eq "[DNES]" ){
	$mime_sec_flag = 100;
    }elsif( $_ eq "[END]" ){
	$mime_sec_flag = 0;
	last;
    }

    ########################################
    # [SEND] Ͻ
    ########################################
    if ( $mime_sec_flag == 2 ){
	s/ //g;
	@send_section = split(/=/,$_);
	$usr_prof{$send_section[0]} = $send_section[1];
	next LINE;
    }
    if ( $mime_sec_flag == 100 ) {
	$subject_str =  $usr_prof{Subject};
	&jcode::convert(*subject_str,'jis');
	$subject_str =  MIME::Base64::encode($subject_str);
	chomp $subject_str; 
	$subject_str = "=?iso-2022-jp?B?$subject_str?=";


	if ( $usr_prof{MULTI_PART}  eq 'Y' ){

	    $mime_msg = new MIME::Lite
		From     =>$usr_prof{From},
		To       =>$usr_prof{To},
		Subject  =>$subject_str,
		Encoding => '7bit',
		Type     =>'multipart/mixed';
	}
	$mime_msg->delete("X-Mailer");
	$mime_msg->add("X-Mailer" => $MailVersion);
	$mime_msg->delete("Return-Path");
	$mime_msg->add("Return-Path" => $usr_prof{From});
	$mime_sec_flag = 0;
    }
    ########################################
    # [MESSAGE] Ͻ
    ########################################
    
    if ( $mime_sub_sec_flag == 1 ){
	if ( $cnt == 0 ){
	    $replay = "\n";
	}else{
	    $replay = $replay . $_ . "\n";
	}
	$cnt++; 
	next LINE;
    }

    if ( $mime_sub_sec_flag == 50 ){
	&jcode::convert(*replay,'jis');
	if ( $usr_prof{MULTI_PART}  eq 'Y' ){

	    attach $mime_msg
		Encoding => '7bit',
		Type     => 'text/plain;charset=ISO-2022-JP;',
		Data     => $replay;

	}else{

	    $mime_msg = new MIME::Lite
		From     =>$usr_prof{From},
		To       =>$usr_prof{To},
		Subject  =>$subject_str,
		Type     =>'TEXT',
		Data     =>$replay;
	    $mime_msg->attr("content-type.charset" => "ISO2022-JP");
	    $mime_msg->delete("X-Mailer");
	    $mime_msg->add("X-Mailer" => $MailVersion);
	$mime_msg->delete("Return-Path");
	$mime_msg->add("Return-Path" => $usr_prof{From});

	}
	$replay = "";
	
    }


    ########################################
    # [ATTACH] Ͻ
    ########################################
    if ( $mime_sub_sec_flag == 2 ){
	s/ //g;
	@g_section = split(/=/,$_);
	$attachs{$g_section[0]} = $g_section[1];


	next LINE;
    }

    if ( $mime_sub_sec_flag == 20) {

	attach $mime_msg
	    Encoding => 'base64',
	    Disposition => 'attachment',
	    Type     =>"$attachs{TYPE}",
	    Path     =>"$attachs{PATH}\/$attachs{FILE}";

    }
}    
MIME::Lite->send('smtp', $usr_prof{SmtpHost}, Timeout=>60)||die print LOG localtime()."  Mail Send Failer To $usr_prof{SmtpHost}\n" ;
$mime_msg->send||die print LOG localtime()."  Mail Send Failer \n" ;



print LOG localtime()." Success $usr_prof{SmtpHost} File $attachs{FILE} TO $usr_prof{To} \n";
close IN_FORM;
close LOG;